/*******************************<+>***************************
 **                             DTA
 *************************************************************
 **
 **  $Id: Cursor.c,v 1.4 1994/02/18 02:55:34 dta Exp $
 **
 **  $Source: /cvs/lib/xn/Cursor.c,v $
 **
 **  What @(#):
 **
 **  Author: Dale T. Anderson
 **
 *******************************<+>***************************/
 
#include <X11/StringDefs.h>
#include <X11/Intrinsic.h>
#include <X11/cursorfont.h>

extern Widget xntop;

void XnStartWorking ()
{
    static Cursor   cursor = (Cursor) (0);

    if (!cursor)
	cursor = XCreateFontCursor (XtDisplay (xntop), XC_watch);
    XDefineCursor (XtDisplay (xntop), XtWindow (xntop), cursor);
}

void XnStopWorking ()
{
    XUndefineCursor (XtDisplay (xntop), XtWindow (xntop));
}

void XnStartPan ()
{
    static Cursor   cursor = (Cursor) (0);

    if (!cursor)
	cursor = XCreateFontCursor (XtDisplay (xntop), XC_fleur);
    XDefineCursor (XtDisplay (xntop), XtWindow (xntop), cursor);
}

void XnStopPan ()
{
    XUndefineCursor (XtDisplay (xntop), XtWindow (xntop));
}

