/*******************************<+>***************************
 **                             PRC
 *************************************************************
 **
 **  $Id: Form.c,v 1.1.1.1 1993/05/17 17:33:22 dta Exp $
 **
 **  $Source: /cvs/lib/xn/Form.c,v $
 **
 **  Module Name:
 **
 **  Classification:  Unclassified
 **
 **  Author:          Dale T. Anderson
 **
 *******************************<+>***************************/

#include <Xm/Xm.h>
#include <Xm/Form.h>

void            XnAttachForm (w, top, left, right, bottom)
Widget          w;
Widget          top;
Widget          left;
Widget          right;
Widget          bottom;
{
    Arg             args[8];
    int             n = 0;

    if (top > (Widget) 0) {
	XtSetArg (args[n], XmNtopAttachment, XmATTACH_WIDGET);
	n++;
	XtSetArg (args[n], XmNtopWidget, top);
	n++;
    } else if (top != (Widget) - 1) {
	XtSetArg (args[n], XmNtopAttachment, XmATTACH_FORM);
	n++;
    }
    if (left > (Widget) 0) {
	XtSetArg (args[n], XmNleftAttachment, XmATTACH_WIDGET);
	n++;
	XtSetArg (args[n], XmNleftWidget, left);
	n++;
    } else if (left != (Widget) - 1) {
	XtSetArg (args[n], XmNleftAttachment, XmATTACH_FORM);
	n++;
    }
    if (bottom > (Widget) 0) {
	XtSetArg (args[n], XmNbottomAttachment, XmATTACH_WIDGET);
	n++;
	XtSetArg (args[n], XmNbottomWidget, bottom);
	n++;
    } else if (bottom != (Widget) - 1) {
	XtSetArg (args[n], XmNbottomAttachment, XmATTACH_FORM);
	n++;
    }
    if (right > (Widget) 0) {
	XtSetArg (args[n], XmNrightAttachment, XmATTACH_WIDGET);
	n++;
	XtSetArg (args[n], XmNrightWidget, right);
	n++;
    } else if (right != (Widget) - 1) {
	XtSetArg (args[n], XmNrightAttachment, XmATTACH_FORM);
	n++;
    }
    XtSetValues (w, args, n);
}
