/*******************************<+>***************************
 **                             DTA
 *************************************************************
 **
 **  $Id: List.c,v 1.2 1994/02/12 06:44:25 dta Exp $
 **
 **  $Source: /cvs/lib/xn/List.c,v $
 **
 **  What @(#):
 **
 **  Author: Dale T. Anderson
 **
 *******************************<+>***************************/
 
#include <Xm/Xm.h>
#include <Xn/Xn.h>
#include <Xm/List.h>

int XnListSearch (Widget list, char *str)
{
    XmStringTable items;
    int position;
    int count;
    int len;
    int i;

    assert (XmIsList (list));

    XtVaGetValues (list,
	XmNitems, &items,
	XmNitemCount, &count,
	NULL);

    len = strlen (str);

    position = -1;

    for (i = 0; i < count; i++) {
	char *text;
	XmString item = XmStringGetLtoR (items[i], XmSTRING_DEFAULT_CHARSET, &text);
	assert (text);
	if (text) {
	    if (!strncmp (text, str, len)) {
		position = i + 1;
		break;
	    }
	    XtFree (text);
	}
    }

    return position;
}
