/*******************************<+>***************************
 **                             PRC
 *************************************************************
 **
 **  $Id: Printf.c,v 1.8 1994/02/12 22:47:58 dta Exp $
 **
 **  $Source: /cvs/lib/xn/Printf.c,v $
 **
 **  Module Name:
 **
 **  Classification:  Unclassified
 **
 **  Author:          Dale T. Anderson
 **
 *******************************<+>***************************/

#include <stdio.h>
#include <stdarg.h>

#include <X11/Intrinsic.h>

int XnWidgetPrintf (Widget w, const char *fmt, ...)
{
    char buffer [1024];
    va_list args;
    int status;

    va_start (args, fmt);
    status = vsprintf (buffer, fmt, args);
    va_end (args);

    XnWidgetPutStr (w, buffer);

    return (status);
}
